# $Revision: 1.14 $, $Date: 2002/07/03 22:13:15 $
Summary:	PLD Linux release file with logo
Summary(de):	PLD Linux Release-Datei mit logo
Summary(pl):	Wersja Linuksa PLD z logiem
Name:		issue-fancy
Version:	1.0
Release:	8
License:	GPL
Group:		Base
Source0:	%{name}-gen
Source1:	%{name}.crontab
Source2:	%{name}.init
# In fact it requires quote_logo_backslashes patch.
BuildRequires:	linux_logo >= 3.9b5
Requires:	linux_logo >= 3.9b5
Requires:	crondaemon
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	redhat-release
Obsoletes:	mandrake-release
Obsoletes:	issue
Obsoletes:	issue-alpha
Obsoletes:	issue-logo
Obsoletes:	issue-pure

%define		_sbindir	/sbin

%description
PLD Linux release file with logo.

%description -l pl
Wersja Linuksa PLD z logiem.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,rc.d/init.d},%{_sbindir}}

install %{SOURCE0} $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/issue-fancy

$RPM_BUILD_ROOT%{_sbindir}/issue-fancy-gen $RPM_BUILD_ROOT

echo "1.0 PLD Linux (Ra)" > $RPM_BUILD_ROOT%{_sysconfdir}/pld-release

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/issue-fancy-gen
/sbin/chkconfig --add issue-fancy

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del issue-fancy
fi

%files
%defattr(644,root,root,755)
%{_sysconfdir}/pld-release
# Can't use "noreplace" here because issues are regenerated from cron
# and %post. Without "noreplace" at least ".rpmsave" will stay.
%config %{_sysconfdir}/issue*
%attr(755,root,root) %{_sbindir}/*
%attr(600,root,root) /etc/cron.d/*
%attr(754,root,root) /etc/rc.d/init.d/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: issue-fancy.spec,v $
Revision 1.14  2002/07/03 22:13:15  kloczek
- csmetics.

Revision 1.13  2002/04/25 16:37:54  arturs
fixed a small typo

Revision 1.12  2002/03/06 15:04:58  gotar
- added Obsoletes: issue-alpha,
- release++.

Revision 1.11  2002/03/01 15:51:57  bonkey
- release: 7
- +Requires linux_logo

Revision 1.10  2002/02/23 05:59:30  kloczek
- some corrections macros using.

Revision 1.9  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/22 07:57:37  mkochano
- Release 6.
- s@/etc/cron.d/issue-fancy.crontab@/etc/cron.d/issue-fancy@.

Revision 1.7  2002/02/16 18:20:25  kloczek
- adapterized.

Revision 1.6  2002/02/10 22:45:54  blues
- release 5
- put BuildArch in proper place (some rpm-bug)
- adapterized

Revision 1.5  2002/02/01 10:46:05  qboosh
- renamed script from .sysconfig to .init - its name was misleading...

Revision 1.4  2002/01/23 15:15:59  mkochano
- Release 3.
- Rebuilt with corrected sysconf script.

Revision 1.3  2002/01/22 22:18:16  mkochano
- Release 2.
- Added %%post and %%preun sections.

Revision 1.2  2002/01/22 21:06:48  mkochano
- Removed redundant "are" in comment.

Revision 1.1  2002/01/22 20:34:40  mkochano
- Fancy issue with big logo.
